Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 08-24-07, 02:58 PM   #1
Belegdol
Registered User
 
Join Date: Oct 2004
Posts: 118
Default 100.14.11 does not build with 2.6.23 git snapshots

I was trying to rebuild the source RPM from rpm.livna.org against the latest Fedora rawhide kernel. Here is what I got:
Code:
[jsikorski@snowball downloads]$ LANG=en_GB rpmbuild --rebuild nvidia-kmod-100.14.11-1.2.6.22.4_65.fc7.src.rpm --define 'kversion  2.6.23-0.133.rc3.git6.fc8' --define 'kvariants ""'
Installing nvidia-kmod-100.14.11-1.2.6.22.4_65.fc7.src.rpm
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.87961
+ umask 022
+ cd /home/jsikorski/rpmbuild/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ bash /home/jsikorski/rpmbuild/SOURCES/kmodtool rpmtemplate nvidia 2.6.23-0.133.rc3.git6.fc8 ''
%package       -n kmod-nvidia
Summary:          nvidia kernel module(s)
Group:            System Environment/Kernel
Provides:         kernel-modules = 2.6.23-0.133.rc3.git6.fc8
Provides:         nvidia-kmod = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:         kernel-%{_target_cpu} = 2.6.23-0.133.rc3.git6.fc8
Requires:         nvidia-kmod-common >= %{?epoch:%{epoch}:}%{version}
Requires(post):   /sbin/depmod
Requires(postun): /sbin/depmod
BuildRequires:    kernel-devel-%{_target_cpu} = 2.6.23-0.133.rc3.git6.fc8
%description   -n kmod-nvidia
This package provides the nvidia kernel modules built for the Linux
kernel 2.6.23-0.133.rc3.git6.fc8 for the %{_target_cpu} family of processors.
%post          -n kmod-nvidia
/sbin/depmod -aeF /boot/System.map-2.6.23-0.133.rc3.git6.fc8 2.6.23-0.133.rc3.git6.fc8 > /dev/null || :
%postun        -n kmod-nvidia
/sbin/depmod -aF /boot/System.map-2.6.23-0.133.rc3.git6.fc8 2.6.23-0.133.rc3.git6.fc8 &> /dev/null || :
%files         -n kmod-nvidia
%defattr(644,root,root,755)
/lib/modules/2.6.23-0.133.rc3.git6.fc8/extra/nvidia/

+ cd /home/jsikorski/rpmbuild/BUILD
+ rm -rf nvidia-kmod-100.14.11
+ /bin/mkdir -p nvidia-kmod-100.14.11
+ cd nvidia-kmod-100.14.11
+ /usr/bin/bzip2 -dc /home/jsikorski/rpmbuild/SOURCES/nvidia-kmod-data-100.14.11.tar.bz2
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ sed -i 's!#include <linux/config.h>!!' nvidiapkg-x64/usr/src/nv/nv-linux.h nvidiapkg-x86/usr/src/nv/nv-linux.h
+ sed -i 's|@if ! $(CONFTEST) xen_sanity_check full_output; then exit 1; fi|#@if ! $(CONFTEST) xen_sanity_check full_output; then exit 1; fi|' nvidiapkg-x64/usr/src/nv/Makefile.kbuild nvidiapkg-x86/usr/src/nv/Makefile.kbuild
+ for arch in x86 x64
+ pushd nvidiapkg-x86
~/rpmbuild/BUILD/nvidia-kmod-100.14.11/nvidiapkg-x86 ~/rpmbuild/BUILD/nvidia-kmod-100.14.11
+ echo 'Patch #0 (NVIDIA_kernel-1.0-9625-NOSMBUS.diff.txt):'
Patch #0 (NVIDIA_kernel-1.0-9625-NOSMBUS.diff.txt):
+ patch -p0 -b --suffix .patch0 -s
+ pushd usr/src/nv
~/rpmbuild/BUILD/nvidia-kmod-100.14.11/nvidiapkg-x86/usr/src/nv ~/rpmbuild/BUILD/nvidia-kmod-100.14.11/nvidiapkg-x86 ~/rpmbuild/BUILD/nvidia-kmod-100.14.11
+ popd
~/rpmbuild/BUILD/nvidia-kmod-100.14.11/nvidiapkg-x86 ~/rpmbuild/BUILD/nvidia-kmod-100.14.11
+ popd
~/rpmbuild/BUILD/nvidia-kmod-100.14.11
+ for arch in x86 x64
+ pushd nvidiapkg-x64
~/rpmbuild/BUILD/nvidia-kmod-100.14.11/nvidiapkg-x64 ~/rpmbuild/BUILD/nvidia-kmod-100.14.11
+ echo 'Patch #0 (NVIDIA_kernel-1.0-9625-NOSMBUS.diff.txt):'
Patch #0 (NVIDIA_kernel-1.0-9625-NOSMBUS.diff.txt):
+ patch -p0 -b --suffix .patch0 -s
+ pushd usr/src/nv
~/rpmbuild/BUILD/nvidia-kmod-100.14.11/nvidiapkg-x64/usr/src/nv ~/rpmbuild/BUILD/nvidia-kmod-100.14.11/nvidiapkg-x64 ~/rpmbuild/BUILD/nvidia-kmod-100.14.11
+ popd
~/rpmbuild/BUILD/nvidia-kmod-100.14.11/nvidiapkg-x64 ~/rpmbuild/BUILD/nvidia-kmod-100.14.11
+ popd
~/rpmbuild/BUILD/nvidia-kmod-100.14.11
+ for kvariant in '""'
+ cp -a nvidiapkg-x64 _kmod_build_
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.73743
+ umask 022
+ cd /home/jsikorski/rpmbuild/BUILD
+ cd nvidia-kmod-100.14.11
+ LANG=C
+ export LANG
+ unset DISPLAY
+ for kvariant in '""'
+ ksrc=/usr/src/kernels/2.6.23-0.133.rc3.git6.fc8-x86_64
+ pushd _kmod_build_/usr/src/nv/
~/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv ~/rpmbuild/BUILD/nvidia-kmod-100.14.11
+ ln -s -f Makefile.kbuild Makefile
+ make SYSSRC=/usr/src/kernels/2.6.23-0.133.rc3.git6.fc8-x86_64 module
sh ./conftest.sh "cc" "cc" /usr/src/kernels/2.6.23-0.133.rc3.git6.fc8-x86_64 /usr/src/kernels/2.6.23-0.133.rc3.git6.fc8-x86_64 cc_sanity_check full_output
sh ./conftest.sh "cc" "cc" /usr/src/kernels/2.6.23-0.133.rc3.git6.fc8-x86_64 /usr/src/kernels/2.6.23-0.133.rc3.git6.fc8-x86_64 select_makefile full_output
make --no-print-directory -f Makefile module
#@if ! /bin/sh ./conftest.sh "cc" "cc" /usr/src/kernels/2.6.23-0.133.rc3.git6.fc8-x86_64 /usr/src/kernels/2.6.23-0.133.rc3.git6.fc8-x86_64 xen_sanity_check full_output; then exit 1; fi

NVIDIA: calling KBUILD...
make CC=cc  KBUILD_VERBOSE=1 -C /usr/src/kernels/2.6.23-0.133.rc3.git6.fc8-x86_64 SUBDIRS=/home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv modules
test -e include/linux/autoconf.h -a -e include/config/auto.conf || (           \
        echo;                                                           \
        echo "  ERROR: Kernel configuration is invalid.";               \
        echo "         include/linux/autoconf.h or include/config/auto.conf are missing.";      \
        echo "         Run 'make oldconfig && make prepare' on kernel src to fix it.";  \
        echo;                                                           \
        /bin/false)
mkdir -p /home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/.tmp_versions
rm -f /home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/.tmp_versions/*
make -f scripts/Makefile.build obj=/home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv
echo \#define NV_COMPILER \"`cc -v 2>&1 | tail -n 1`\" > /home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv_compiler.h
  cc -Wp,-MD,/home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/.nv.o.d  -nostdinc -isystem /usr/lib/gcc/x86_64-redhat-linux/4.1.2/include -D__KERNEL__ -Iinclude  -include include/linux/autoconf.h -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration -Os  -mtune=generic -m64 -mno-red-zone -mcmodel=kernel -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -funit-at-a-time -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -maccumulate-outgoing-args -DCONFIG_AS_CFI=1 -DCONFIG_AS_CFI_SIGNAL_FRAME=1 -fstack-protector -fomit-frame-pointer -g  -fno-stack-protector -Wdeclaration-after-statement -Wno-pointer-sign  -I/home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wparentheses -Wpointer-arith  -Wno-multichar  -Werror  -O -fno-common -msoft-float -mcmodel=kernel -mno-red-zone        -MD   -Wsign-compare -Wno-cast-qual -Wno-error -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE  -DNVRM -DNV_VERSION_STRING=\"100.14.11\" -UDEBUG -U_DEBUG -DNDEBUG -DNV_SIGNAL_STRUCT_RLIM -DNV_MULTIPLE_BRIDGE_AGPGART_PRESENT -DNV_PCI_GET_CLASS_PRESENT -DNV_SYSCTL_MAX_MAP_COUNT_PRESENT -DNV_PM_MESSAGE_T_PRESENT -DNV_PCI_CHOOSE_STATE_PRESENT -DNV_VM_INSERT_PAGE_PRESENT -DNV_OLD_MM_KGDB_BREAKPOINT_PRESENT -DNV_REMAP_PFN_RANGE_PRESENT -DNV_CHANGE_PAGE_ATTR_PRESENT -DNV_ACQUIRE_CONSOLE_SEM_PRESENT -DNV_VMAP_4_PRESENT  -DMODULE -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(nv)"  -D"KBUILD_MODNAME=KBUILD_STR(nvidia)" -c -o /home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv.o /home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv.c
In file included from include/linux/list.h:8,
                 from include/linux/preempt.h:11,
                 from include/linux/spinlock.h:49,
                 from include/linux/seqlock.h:29,
                 from include/linux/time.h:8,
                 from include/linux/timex.h:57,
                 from include/linux/sched.h:53,
                 from include/linux/utsname.h:35,
                 from /home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv-linux.h:19,
                 from /home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv.c:14:
include/linux/prefetch.h: In function 'prefetch_range':
include/linux/prefetch.h:62: warning: pointer of type 'void *' used in arithmetic
In file included from include/linux/sched.h:59,
                 from include/linux/utsname.h:35,
                 from /home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv-linux.h:19,
                 from /home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv.c:14:
include/linux/nodemask.h: In function '__first_node':
include/linux/nodemask.h:229: warning: signed and unsigned type in conditional expression
include/linux/nodemask.h: In function '__next_node':
include/linux/nodemask.h:235: warning: signed and unsigned type in conditional expression
include/linux/nodemask.h: In function '__first_unset_node':
include/linux/nodemask.h:253: warning: signed and unsigned type in conditional expression
In file included from include/asm/pci.h:103,
                 from include/linux/pci.h:777,
                 from /home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv-linux.h:78,
                 from /home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv.c:14:
include/asm-generic/pci-dma-compat.h: In function 'pci_map_page':
include/asm-generic/pci-dma-compat.h:49: warning: pointer of type 'void *' used in arithmetic
In file included from include/linux/compat.h:14,
                 from include/asm/mtrr.h:106,
                 from /home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv-linux.h:112,
                 from /home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv.c:14:
include/asm/compat.h: In function 'compat_alloc_user_space':
include/asm/compat.h:204: warning: pointer of type 'void *' used in arithmetic
/home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv.c: In function 'nvidia_init_module':
/home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv.c:1326: error: too many arguments to function 'kmem_cache_create'
/home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv.c:1435: error: too many arguments to function 'kmem_cache_create'
/home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv.c:1569: error: void value not ignored as it ought to be
/home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv.c: In function 'nvidia_exit_module':
/home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv.c:1601: error: void value not ignored as it ought to be
make[3]: *** [/home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv/nv.o] Error 1
make[2]: *** [_module_/home/jsikorski/rpmbuild/BUILD/nvidia-kmod-100.14.11/_kmod_build_/usr/src/nv] Error 2
NVIDIA: left KBUILD.
nvidia.ko failed to build!
make[1]: *** [module] Error 1
make: *** [module] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.73743 (%build)


RPM build errors:
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    Bad exit status from /var/tmp/rpm-tmp.73743 (%build)
I wanted to try that in order to check some S3 resume stuff, but it looks I will have to wait for at least a while. Kindest regards.
Belegdol is offline   Reply With Quote
Old 08-24-07, 03:05 PM   #2
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: 100.14.11 does not build with 2.6.23 git snapshots

Please search the forum for earlier discussions of this topic.
zander is offline   Reply With Quote
Old 08-24-07, 03:16 PM   #3
Belegdol
Registered User
 
Join Date: Oct 2004
Posts: 118
Default Re: 100.14.11 does not build with 2.6.23 git snapshots

OK, I found the patch and built the driver. I don't know how I missed it. Sorry for the noise.
Belegdol is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
Diablo 3 Wizard build guide News Archived News Items 0 05-30-12 02:40 PM
Diablo 3 build guide: Barbarian, Demon Hunter, Monk, Witch Doctor and Wizard News Archived News Items 0 05-12-12 12:00 PM

All times are GMT -5. The time now is 08:10 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.